Im trying to install the iprint server update novell-iprint-server-6.2.20101109-0.6.1.x86_64.rpm in order to resolve issues with ipsmd crashing continually. Im able to restart ipsmd using /opt/novell/iprint//bin/ipsmd -r psmdbsav.dat (from a backup of the database) then I shut it down and start up normally. I found a tid that adresses this and references the iprint update. Im able to rpm the other files, but the above server update comes back with:
error: Failed dependencies:
libc.so.6()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libc.so.6(GLIBC_2.2.5)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libc.so.6(GLIBC_2.3)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libc.so.6(GLIBC_2.3.2)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libcurl.so.3()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libgcc_s.so.1()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libgcc_s.so.1(GCC_3.0)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libldap-2.3.so.0()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libldapsdk.so.0()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libldapsdk.so.0(NLDAPSDK_VERSION)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libldapssl.so.0()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libldapssl.so.0(LDAPSSL_VERSION_1.0)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libldapx.so.0()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libm.so.6()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libndssdk.so.1()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libpthread.so.0()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libpthread.so.0(GLIBC_2.2.5)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libpthread.so.0(GLIBC_2.3.2)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libstdc++.so.6()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libstdc++.so.6(CXXABI_1.3)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libstdc++.so.6(CXXABI_1.3.1)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libstdc++.so.6(GLIBCXX_3.4)(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64
libz.so.1()(64bit) is needed by novell-iprint-server-6.2.20101109-0.6.1.x86_64

Is there another way around this, or is there another way to fix the crash issue. I think it is related to people printing long file names (over 255 characters) probably from URL's or google docs. Ive been having to restart ipsmd every couple of days. I know others have been having issues with ipsmd crashing also.

thanks,